<?php

namespace App\Providers;
use App\Models\Instituto;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\View;

class ViewServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap services.
     */
    

     public function boot()
     {
         // Compartir el instituto con todas las vistas
         View::composer('*', function ($view) {
             $instituto = Instituto::first(); // Podría ser null
             $view->with('instituto', $instituto);
         });
     }

}
